Subject: Re: iproute2: resend of patches from Debian.

From: Andreas Henriksson <[email-masked]>
Date: Fri, 12 Oct 2007 00:35:07 +0200

On tor, 2007-10-11 at 14:48 -0700, David Miller wrote:
> From: Andreas Henriksson <[email-masked]>
> Date: Thu, 11 Oct 2007 23:22:12 +0200
> 
> > Copying Alexander Wirt here again, as I think this is his patch.
> 
> It is important that whoever is the package maintainer for an
> upstream piece of code in any distribution:
> 
> 1) Completely understands the patches he is applying.
> 
> and therefore:
> 
> 2) When he submits upstream, he doesn't have to wake up
>    2,000 patch submitters from the dead just to figure out
>    why a change was made.
> 
> Neither seems to be occuring here.

Alexander Wirt is both the Debian package maintainer and (probably) the
author of both of the two discussed patches (and only a single person as
far as I know). I don't consider it rude to notify him of the comments
made about the patches he's been carrying for a long time.
While doing a couple of fixes to iproute I thought it would be best to
not only submit those but all the patches that has been carried in
debian for review upstream and possibly inclusion. The extra review
seemed to have been a success so far and I will fix up the patches
myself if I have to.

If you want me to STFU please just say so and I'll give you all my
sincere appologies and go back to the status quo of no fixes shared with
others.

-- 
Regards,
Andreas Henriksson